Apache log4cxx: LevelRangeFilter Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LevelRangeFilter Class Reference

Inherits Filter.

List of all members.

## Detailed Description

This is a very simple filter based on level matching, which can be used to reject messages with priorities outside a certain range.

The filter admits three options LevelMin, LevelMax and AcceptOnMatch.

If the level of the LoggingEvent is not between Min and Max (inclusive), then DENY is returned.

If the Logging event level is within the specified range, then if AcceptOnMatch is true, ACCEPT is returned, and if AcceptOnMatch is false, NEUTRAL is returned.

If `LevelMin`w is not defined, then there is no minimum acceptable level (ie a level is never rejected for being too "low"/unimportant). If `LevelMax` is not defined, then there is no maximum acceptable level (ie a level is never rejected for beeing too "high"/important).

Refer to the setThreshold method available to `all` appenders extending AppenderSkeleton for a more convenient way to filter out events by level.

## Public Types
typedef spi::Filter | BASE_CLASS
## Public Member Functions
| LevelRangeFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options.
void | setLevelMin (const LevelPtr &levelMin1)
| Set the `LevelMin` option.
const LevelPtr & | getLevelMin () const
| Get the value of the `LevelMin` option.
void | setLevelMax (const LevelPtr &levelMax1)
| Set the `LevelMax` option.
const LevelPtr & | getLevelMax () const
| Get the value of the `LevelMax` option.
void | setAcceptOnMatch (bool acceptOnMatch1)
| Set the `AcceptOnMatch` option.
bool | getAcceptOnMatch () const
| Get the value of the `AcceptOnMatch` option.
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Return the decision of this filter.

## Member Typedef Documentation

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

LevelRangeFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const`[virtual]`

| Return the decision of this filter. Returns NEUTRAL if the LevelToMatch option is not set or if there is not match. Otherwise, if there is a match, then the returned decision is ACCEPT if the AcceptOnMatch property is set to `true`. The returned decision is DENY if the AcceptOnMatch property is set to false. Implements Filter.

bool getAcceptOnMatch | ( |  | ) | const`[inline]`

| Get the value of the `AcceptOnMatch` option.

const LevelPtr& getLevelMax | ( |  | ) | const`[inline]`

| Get the value of the `LevelMax` option.

const LevelPtr& getLevelMin | ( |  | ) | const`[inline]`

| Get the value of the `LevelMin` option.

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) | `[inline]`

| Set the `AcceptOnMatch` option.

void setLevelMax | ( | const LevelPtr & | levelMax1 | ) | `[inline]`

| Set the `LevelMax` option.

void setLevelMin | ( | const LevelPtr & | levelMin1 | ) | `[inline]`

| Set the `LevelMin` option.

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set options. Reimplemented from Filter.

The documentation for this class was generated from the following file:

- levelrangefilter.h